#!/bin/bash

# Download and configure installer for AAPP

# Download the scripts
curl -O https://nwp-saf.eumetsat.int/downloads/aapp_data_files/install_aapp8.sh
curl -O https://nwp-saf.eumetsat.int/downloads/aapp_data_files/OPS-LRS/aux_data/get_aux_files.sh
curl -O https://nwp-saf.eumetsat.int/downloads/aapp_data_files/atovs_cal_files/get_atovs_cal_files.sh
chmod ugo+x install_aapp8.sh get_aux_files.sh get_atovs_cal_files.sh

# Verify AAPP version
grep AAPP_VERSION install_aapp8.sh | head -1 > version.txt
cat version.txt

# Configure the installer script
sed -i 's/STATION=exeter/STATION=madison/g' install_aapp8.sh
sed -i 's/SITE_ID=UKM/SITE_ID=SSEC/g' install_aapp8.sh
sed -i 's/tar -zxf/tar --no-same-owner --no-same-permissions -zxf/g' install_aapp8.sh    # Needed when installing as root in Singularity container
sed -i 's/make || { echo "problem with hdf5 make"; exit 1; }/make -j 16 || { echo "problem with hdf5 make"; exit 1; }/g' install_aapp8.sh    # Makes the build faster
sed -i 's/make || { echo "OPS-LRS make failed"; exit 1; }/make -j 16 || { echo "OPS-LRS make failed"; exit 1; }/g' install_aapp8.sh    # Makes the build faster
