#!/bin/bash

# AAPP BUFR processing for CrIS SDR data

# Combine CrIS SDR files into one L1C file
sdr=(SCRIF*.h5)
geo=(GCRSO*.h5)
num=${#sdr[*]}
for ((i = 0; i < num; i++)); do aapp_run.bash cris_sdr -g ${geo[$i]} ${sdr[$i]}; done
aapp_run.bash combine_1c SCRIF*.l1c

# Create cris_selection.bufr with channel subset (431 channels)
aapp_run.bash cris_channels cris.l1c cris_selection.l1c
aapp_run.bash eccodes_encodebufr_1c -i cris_selection.l1c CRISFSR 
aapp_run.bash prepare_dbnet_bufr_for_gts cris_selection.bufr
rm 0 prepare_dbnet_bufr_for_gts.filter

# Create cris.bufr with full channel set (2211 channels)
mkdir full
cp -pv cris.l1c full
cd full
aapp_run.bash eccodes_encodebufr_1c -i cris.l1c CRISFSR
aapp_run.bash prepare_dbnet_bufr_for_gts cris.bufr
rm 0 prepare_dbnet_bufr_for_gts.filter
