#!/bin/bash
# AAPP BUFR processing for Metop ATOVS and IASI 

# Create ATOVS BUFR
aapp_run.bash eccodes_encodebufr_1c -i amsu*.l1c AMSU-A
aapp_run.bash eccodes_encodebufr_1c -i mhs*.l1c MHS 
aapp_run.bash eccodes_encodebufr_1c -i hirs*.l1c HIRS
for file in *.bufr; do aapp_run.bash prepare_dbnet_bufr_for_gts $file; done

# Create IASI BUFR with channel subset and PC scores
aapp_run.bash iasi_1c_to_pc iasi*.l1c iasi_selection.lpc
aapp_run.bash eccodes_encodebufr_1c -i iasi_selection.lpc PCIASI
aapp_run.bash prepare_dbnet_bufr_for_gts iasi_selection.bufr
rm 0 prepare_dbnet_bufr_for_gts.filter

# Create IASI BUFR with full channel set
mkdir full
cp -pv iasi*l1c full
cd full
aapp_run.bash eccodes_encodebufr_1c -i iasi*.l1c IASI
aapp_run.bash prepare_dbnet_bufr_for_gts iasi*.bufr
rm 0 prepare_dbnet_bufr_for_gts.filter
