#!/bin/bash

# Set port numbers used by OPS-LRS processing (to allow multiple instances)
i=$(date +%N | cut -c1-3 | bc)
export APPTAINERENV_ADR_MSG_SERVER_PORT_BASE=$((4000+$i))
export APPTAINERENV_APP_OPSIASI_PORT_BASE=$((6000+$i))

# Set BUFR variables
export APPTAINERENV_ORIGINATING_CENTRE=$ORIGINATING_CENTRE
export APPTAINERENV_SUB_CENTRE=$SUB_CENTRE

# Run the AAPP command in Singularity container
apptainer run --cleanenv --contain \
  -B $PWD:/mnt \
  -B $AAPP_INSTALL_DIR/AAPP/data:/opt/install/AAPP_8.10/AAPP/data \
  -B $AAPP_INSTALL_DIR/AAPP/orbelems:/opt/install/AAPP_8.10/AAPP/orbelems \
  -B $AAPP_INSTALL_DIR/AAPP/aux_data:/opt/install/opslrs/aux \
  -B $AAPP_INSTALL_DIR/scripts/prepare_dbnet_bufr_for_gts:/opt/install/AAPP_8.10/AAPP/bin/prepare_dbnet_bufr_for_gts \
 $AAPP_INSTALL_DIR/bin/aapp_8.10.sif $@
